=== contrib/debian/changelog ===
fish (4.5.0-1) stable; urgency=medium

  * Release of new version 4.5.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.5.0 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Tue, 17 Feb 2026 11:32:33 +1100

fish (4.4.0-1) stable; urgency=medium

  * Release of new version 4.4.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.4.0 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Tue, 03 Feb 2026 12:11:51 +1100

fish (4.3.3-1) stable; urgency=medium

  * Release of new version 4.3.3.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.3.3 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Wed, 07 Jan 2026 08:34:20 +0100

fish (4.3.2-1) stable; urgency=medium

  * Release of new version 4.3.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.3.2 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Tue, 30 Dec 2025 17:21:04 +0100

fish (4.3.1-1) stable; urgency=medium

  * Release of new version 4.3.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.3.1 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Sun, 28 Dec 2025 16:54:44 +0100

fish (4.3.0-1) stable; urgency=medium

  * Release of new version 4.3.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.3.0 for details.

 -- Johannes Altmanninger <aclopte@gmail.com>  Sun, 28 Dec 2025 10:20:47 +0100

fish (4.2.1-1) testing; urgency=medium

  * Release of new version 4.2.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.2.1 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 13 Nov 2025 20:42:43 +0800

fish (4.2.0-1) testing; urgency=medium

  * Release of new version 4.2.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.2.0 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 10 Nov 2025 19:29:03 +0800

fish (4.1.2-1) testing; urgency=medium

  * Release of new version 4.1.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.1.2 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 08 Oct 2025 13:46:45 +0800

fish (4.1.1-1) testing; urgency=medium

  * Release of new version 4.1.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.1.1 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 03 Oct 2025 16:43:43 +0800

fish (4.0.8-1) testing; urgency=medium

  * Release of new version 4.0.8.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.0.8 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 18 Sep 2025 22:17:43 +0800

fish (4.0.6-1) testing; urgency=medium

  * Release of new version 4.0.6.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.0.6 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 17 Sep 2025 12:27:09 +0800

fish (4.0.2-2) testing; urgency=medium

  * Fix tests on Debian.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 20 Apr 2025 23:08:14 +0800

fish (4.0.2-1) testing; urgency=medium

  * Release of new version 4.0.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.0.2 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 20 Apr 2025 21:24:18 +0800

fish (4.0.1-1) testing; urgency=medium

  * Release of new version 4.0.1.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 13 Mar 2025 11:30:21 +0800

fish (4.0.0-2) testing; urgency=medium

  * Fix tests on Debian.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 27 Feb 2025 21:50:33 +0800

fish (4.0.0-1) testing; urgency=medium

  * Release of new version 4.0.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/4.0.0 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 27 Feb 2025 19:22:30 +0800

fish (3.7.1-1) testing; urgency=medium

  * Release of new version 3.7.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.7.1 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 19 Mar 2024 13:26:22 +0800

fish (3.7.0-1) testing; urgency=medium

  * Release of new version 3.7.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.7.0 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 01 Jan 2024 23:32:55 +0800

fish (3.6.4-1) testing; urgency=medium

  * Release of new version 3.6.4.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.4 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 05 Dec 2023 22:34:09 +0800

fish (3.6.3-1) testing; urgency=medium

  * Release of new version 3.6.3.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.3 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 05 Dec 2023 00:11:12 +0800

fish (3.6.2-1) testing; urgency=medium

  * Release of new version 3.6.2.
  * Includes a fix for CVE-2023-49284.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.2 for details.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 04 Dec 2023 23:16:42 +0800

fish (3.6.1-1) testing; urgency=medium

  * Release of new version 3.6.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 25 Mar 2023 17:22:12 +0800

fish (3.6.0-1) testing; urgency=medium

  * Release of new version 3.6.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 07 Jan 2023 22:41:32 +0800

fish (3.5.1-1) testing; urgency=medium

  * Release of new version 3.5.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.5.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 20 Jul 2022 21:54:09 +0800

fish (3.5.0-1) testing; urgency=medium

  * Release of new version 3.5.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.5.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 16 Jun 2022 19:45:33 +0800

fish (3.4.0-1) testing; urgency=medium

  * Release of new version 3.4.0.


