=== contrib/debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: ridiculous_fish <corydoras@ridiculousfish.com>
Uploaders: David Adam <zanchey@ucc.gu.uwa.edu.au>
Build-Depends: debhelper-compat (= 13),
# -web is for Debian's updated version, -X.Y is for Ubuntu's backported versions
 cargo (>= 1.85) | cargo-web (>= 1.85) | cargo-1.85,
 cmake (>= 3.15.0),
 gettext,
 libpcre2-dev,
 rustc (>= 1.85) | rustc-web (>= 1.85) | rustc-1.85,
 python3-sphinx,
# Test dependencies
 locales-all,
 man-db,
 python3
# 4.6.2 is Debian 12/Ubuntu Noble 24.04; Ubuntu Jammy is 4.6.0.1
Standards-Version: 4.6.2
Homepage: https://fishshell.com/
Vcs-Git: https://github.com/fish-shell/fish-shell.git
Vcs-Browser: https://github.com/fish-shell/fish-shell

Package: fish
Architecture: any
# for col and lock
Depends: bsdextrautils,
 file,
# for man
 man-db,
# for kill
 procps,
 python3 (>=3.5),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: fish-common
Recommends: xsel (>=1.2.0)
Suggests: xdg-utils
Description: friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
